Subject: bug#19474: 24.4; icomplete fails to insert character with C-x 8

From: Alexis <[email-masked]>
Date: Wed, 13 Jan 2016 15:33:38 +1100

Eric Hanchrow <[email-masked]> writes: 
 
> * I started emacs with emacs -Q -nw * I turned on icomplete by 
> typing ESC x i c o m p l e t e RET * I attempted to insert my 
> favorite character, "PILE OF POO", by typing C-x 8 RET p i l e 
> RET  * I saw an error in the echo area: read-char-by-name: 
> Invalid character * I did not see my beloved character in the 
> current buffer 

It seems to me that the issue here is that icomplete expects one 
to accept completions via C-j 
(`minibuffer-force-complete-and-exit`) rather than RET (which is 
bound to `minibuffer-exit`). i myself find this behaviour 
counterintuitive, and would prefer that RET also be bound to 
`minibuffer-force-complete-and-exit`, since i would still be able 
to exit the minibuffer via C-g. i wonder if there are people 
relying on RET being bound to `minibuffer-exit`?